﻿using System;
using System.Collections.Generic;
using System.Linq.Expressions;

namespace NetSurveillance.WebApp.DataServices.IServices
{
    public interface IBaseService<T> where T : class 
    {
        T GetModelById(long id);
        IEnumerable<T> GetAllModels(bool ignoreDeleted, Expression<Func<T, bool>> predicate);
        ServiceResult Delete(long id);
        ServiceResult Save(T model);
    }
}