﻿using System.ComponentModel.DataAnnotations;
using ServiceStack.DataAnnotations;

namespace NetSurveillance.WebApp.DataServices.Models
{
    [Alias("WebAppPermissions")]
    public class ActionPermission : BaseModel
    {
        [AutoIncrement]
        public long Id { get; set; }

        [Required]
        [StringLength(200)]
        public string Controller { get; set; }

        [Required]
        [StringLength(200)]
        public string Action { get; set; }

        [Default(typeof(int), "0")]
        public PermissionType Permission { get; set; }
    }
}
