﻿using System.ComponentModel.DataAnnotations;
using ServiceStack.DataAnnotations;

namespace NetSurveillance.WebApp.DataServices.Models
{
    [Alias("DataIMRecords")]
    public class DataIMRecord : BaseModel
    {
        [AutoIncrement]
        public long Id { get; set; }

        [References(typeof(Task))]
        public long TaskId { get; set; }

        [References(typeof(Host))]
        public long HostId { get; set; }

        [StringLength(64)]
        public string LocalNumber { get; set; }

        [StringLength(64)]
        public string RemoteNumber { get; set; }

        public string Content { get; set; }

        [StringLength(1024)]
        public string FilePath { get; set; }

        [StringLength(10)]
        public string Direction { get; set; }

        [StringLength(10)]
        public string Protocol { get; set; }

        [StringLength(50)]
        public string GroupNumber { get; set; }
    }
}