﻿using System.ComponentModel.DataAnnotations;
using ServiceStack.DataAnnotations;

namespace NetSurveillance.WebApp.DataServices.Models
{
    [Alias("DataRecordActions")]
    public class DataRecordAction : BaseModel
    {
        [AutoIncrement]
        public long Id { get; set; }

        [References(typeof(DataRecord))]
        public long? DataRecordId { get; set; }

        [StringLength(20)]
        public string ColumnName { get; set; }

        [StringLength(100)]
        public string ActionDesc { get; set; }

        [Default(typeof(int), "1")]
        public int SortOrder { get; set; }
    }
}