﻿using System.ComponentModel.DataAnnotations;
using ServiceStack.DataAnnotations;

namespace NetSurveillance.WebApp.DataServices.Models
{
    [Alias("DataRecordKeywords")]
    public class DataRecordKeyword : BaseModel
    {
        [AutoIncrement]
        public long Id { get; set; }

        [References(typeof(DataRecord))]
        public long? DataRecordId { get; set; }

        [References(typeof(DataIMRecord))]
        public long? DataIMRecordId { get; set; }

        [References(typeof(Keyword))]
        public long KeywordId { get; set; }

        /// <summary>
        /// 中标名称（可为中标的字段名或者其它）
        /// </summary>
        [StringLength(20)]
        public string HitName { get; set; }
    }
}