﻿using System;
using System.ComponentModel.DataAnnotations;

namespace NetSurveillance.WebApp.DataServices.Models
{
    /// <summary>
    /// 查询列表数据结果,该模型只用于view，不对数据库进行映射
    /// </summary>
    public class DataRecordResult : DataRecord
    {
        public string HostName { get; set; }

        public string TaskName { get; set; }

        public string CaseName { get; set; }

        public string Account { get; set; }

        public string Password { get; set; }

        public string HostIP { get; set; }

        public string HostMac { get; set; }

        [DisplayFormat(DataFormatString = "{0:yyyy-MM-dd hh:mm:ss}", NullDisplayText = "无")]
        public new DateTime CreatedTime { get; set; }

        public string HitName { get; set; }
    }

    public class RecordGroup : DataRecordResult
    {
        public int Count { get; set; }
    }
}