﻿using System;
using System.ComponentModel.DataAnnotations;
using ServiceStack.DataAnnotations;

namespace NetSurveillance.WebApp.DataServices.Models
{
    [Alias("IMDataSearch")]
    public class IMDataSearch : BaseModel
    {
        [AutoIncrement]
        public long Id { get; set; }

        [References(typeof(Task))]
        public long TaskId { get; set; }

        [References(typeof(User))]
        public long CreatedUserId { get; set; }

        [StringLength(255)]
        public string Content { get; set; }

        [DataType(DataType.DateTime)]
        public DateTime? StartDate { get; set; }

        [DataType(DataType.DateTime)]
        public DateTime? EndDate { get; set; }

        [StringLength(32)]
        public string Protocol { get; set; }

        [StringLength(32)]
        public string Account { get; set; }

        [StringLength(32)]
        public string Alias { get; set; }

        [StringLength(32)]
        public string TheOtherAccount { get; set; }

        [StringLength(32)]
        public string IP { get; set; }

        [StringLength(32)]
        public string Mac { get; set; }

        [StringLength(32)]
        public string RemoteIP { get; set; }

        [StringLength(32)]
        public string RemoteMac { get; set; }

        [StringLength(200)]
        public string FileName { get; set; }
    }
}
