﻿using System;
using System.ComponentModel.DataAnnotations;
using ServiceStack.DataAnnotations;

namespace NetSurveillance.WebApp.DataServices.Models
{
    [Serializable]
    [Alias("Keywords")]
    public class Keyword : BaseModel
    {
        [AutoIncrement]
        public long Id { get; set; }

        [Required(AllowEmptyStrings = false)]
        [StringLength(255)]
        public string KeywordName { get; set; }

        public bool? IsWarning { get; set; }

        [Required(AllowEmptyStrings = false)]
        [StringLength(200)]
        public string Protocols { get; set; }

        [Required(AllowEmptyStrings = false)]
        [StringLength(200)]
        public string Fields { get; set; }

        [References(typeof(Task))]
        public long TaskId { get; set; }
    }
}