﻿using ServiceStack.DataAnnotations;

namespace NetSurveillance.WebApp.DataServices.Models
{
    [Alias("WebAppMenuPermissions")]
    public class MenuPermission : BaseModel
    {
        [AutoIncrement]
        public long Id { get; set; }

        [References(typeof(Menu))]
        public long MenuId { get; set; }

        [References(typeof(ActionPermission))]
        public long PermissionId { get; set; }

        [Default(typeof(int), "0")]
        public PermissionType Permission { get; set; }
    }
}
