﻿using System.ComponentModel.DataAnnotations;
using ServiceStack.DataAnnotations;

namespace NetSurveillance.WebApp.DataServices.Models
{
    [Alias("MonitorSettings")]
    public class MonitorSetting : BaseModel
    {
        [AutoIncrement]
        public long Id { get; set; }

        [Default(typeof(int), "1")]
        public int MonitorType { get; set; }

        public bool IsSaveWebContent { get; set; }

        public long? MinSize { get; set; }

        public long? MaxSize { get; set; }

        [StringLength(1000)]
        public string SaveFileExts { get; set; }

        public int SaveFileDay { get; set; }

        [Default(typeof(int), "10")]
        public int DefaultPageSize { get; set; }

        public int? DataPVCVCI { get; set; }

        public int? DataPVCVPI { get; set; }

        public int? IptvPVCVCI { get; set; }

        public int? IptvPVCVPI { get; set; }

        public bool IsShowTitleRecord { get; set; }
    }
}
