﻿using System.ComponentModel.DataAnnotations;
using ServiceStack.DataAnnotations;

namespace NetSurveillance.WebApp.DataServices.Models
{
    [Alias("SensitiveAccounts")]
    public class SensitiveAccount : BaseModel
    {
        [AutoIncrement]
        public long Id { get; set; }

        [References(typeof(Task))]
        public long TaskId { get; set; }

        [StringLength(300)]
        public string Account { get; set; }

        [StringLength(300)]
        public string Password { get; set; }

        /// <summary>
        /// 当前敏感信息所属协议
        /// </summary>
        [Ignore]
        public string Protocol { get; set; }
    }
}