﻿using System;
using System.ComponentModel.DataAnnotations;
using ServiceStack.DataAnnotations;

namespace NetSurveillance.WebApp.DataServices.Models
{
    [Serializable]
    [Alias("SetupWizards")]
    public class SetupWizard : BaseModel
    {
        [AutoIncrement]
        public long Id { get; set; }

        [StringLength(30)]
        public string LineType { get; set; }

        [StringLength(30)]
        public string LineMethod { get; set; }

        [StringLength(255)]
        public string PcapPath { get; set; }

        [References(typeof(User))]
        public long CreateUserId { get; set; }

        [References(typeof(Task))]
        public long TaskId { get; set; }

        [References(typeof(IpSetting))]
        public long? IpSettingId { get; set; }
    }
}