﻿using System.ComponentModel.DataAnnotations;
using ServiceStack.DataAnnotations;

namespace NetSurveillance.WebApp.DataServices.Models
{
    [Alias("WebAppTaskSettings")]
    public class TaskSetting : BaseModel
    {
        [AutoIncrement]
        public long Id { get; set; }

        [References(typeof(Task))]
        public long TaskId { get; set; }

        public bool? IsAutoAlertQQMonitor { get; set; }

        public bool? IsAutoAlertVirtusEmbed { get; set; }

        public bool? IsAutoMonitorHostForQQMonitor { get; set; }

        public bool? IsAutoMonitorHostForVirusEmbed { get; set; }

        public int? VirusEmbedAttackCount { get; set; }

        [StringLength(32)]
        public string AlertPhone { get; set; }

        [StringLength(64)]
        public string AlertEmail { get; set; }

        [StringLength(32)]
        public string MonitorIP { get; set; }

        [StringLength(32)]
        public string MonitorSubnetmask { get; set; }

        [StringLength(32)]
        public string MonitorGateway { get; set; }
    }
}