﻿using System.ComponentModel.DataAnnotations;
using ServiceStack.DataAnnotations;

namespace NetSurveillance.WebApp.DataServices.Models
{
    [Alias("WhiteLists")]
    public class WhiteList : BaseModel
    {
        [AutoIncrement]
        public long Id { get; set; }

        [References(typeof(Task))]
        public long TaskId { get; set; }

        [StringLength(16)]
        public string Type { get; set; }

        [StringLength(128)]
        public string DomainName { get; set; }

        [StringLength(32)]
        public string Mac { get; set; }

        public int? PortStart { get; set; }

        public int? PortEnd { get; set; }

        [StringLength(64)]
        public string IpStart { get; set; }

        [StringLength(64)]
        public string IpEnd { get; set; }

        public int? SortOrder { get; set; }
    }
}