﻿using System.Collections.Generic;
using System.Web;

namespace NetSurveillance.WebApp.Foundations
{
    public class SessionContainer : PersistentDataContainer
    {
        public readonly string SessionKeyName = typeof(SessionContainer).Name;

        protected override IDictionary<string, object> RecoveryStore()
        {
            return HttpContext.Current.Session[SessionKeyName] as Dictionary<string, object>;
        }

        protected override void PersistentStore(IDictionary<string, object> store)
        {
            HttpContext.Current.Session[SessionKeyName] = store;
        }
    }
}